package com.ltgk.common.enums;


import com.ltgk.common.utils.enums.CodeDescEnumInterface;
import lombok.Getter;

/**
 * 伏休转港-转港原因枚举类
 *
 * @author Qi ChengBin
 * @date 2025/02/26
 */
@Getter
public enum SmPortTurnCauseEnums implements CodeDescEnumInterface {
    AVOID_WIND(1, "避风"),
    RETURN_FISHING(2, "返港"),
    SEIZURE(3, "扣押"),
    RELEASE_SEIZURE(4, "解除扣押"),
    REMOTE_FISHING(5, "异地休渔"),
    FISHING_BEFORE_DOCK(6, "伏休前上坞"),
    DOCK_REPAIR_OUT(7, "坞修出港"),
    DOCK_REPAIR_RETURN(8, "坞修返港"),
    OTHER(9, "其他");

    private final Integer code;
    private final String desc;

    SmPortTurnCauseEnums(Integer code, String desc) {
        this.code = code;
        this.desc = desc;
    }
}
